> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/catalog-classification-v2/models.md).

# Models

## The ClassificationProcessRequest object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Classification API","version":"2.0.0-unstable"},"components":{"schemas":{"ClassificationProcessRequest":{"description":"Requests to start a classification process.","type":"object","required":["assetIds"],"properties":{"assetIds":{"type":"array","items":{"type":"string","format":"uuid","description":"The ids of the assets to classify."}}}}}}}
```

## The ClassificationProcessResponse object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Classification API","version":"2.0.0-unstable"},"components":{"schemas":{"ClassificationProcessResponse":{"description":"Represents the response returned when classification process starts.","properties":{"jobId":{"type":"string","description":"The ID of the newly started job.","format":"uuid"}}}}}}
```

## The ClassificationDataMigrationProcessResponse object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Classification API","version":"2.0.0-unstable"},"components":{"schemas":{"ClassificationDataMigrationProcessResponse":{"description":"Represents the response returned when data migration process starts.","properties":{"jobId":{"type":"string","description":"The ID of the newly started job or the existing one.","format":"uuid"}}}}}}
```

## The DataClassDataCategoryConnectionsPagedResponse object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Classification API","version":"2.0.0-unstable"},"components":{"schemas":{"DataClassDataCategoryConnectionsPagedResponse":{"type":"object","properties":{"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/DataClassDataCategoryConnection"}}}},"DataClassDataCategoryConnection":{"type":"object","description":"An association between a data class and a data category.","required":["id","resourceType"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the represented object (entity)."},"dataClass":{"$ref":"#/components/schemas/Classification"},"dataCategory":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"createdBy":{"type":"string","format":"uuid","description":"The ID of the user who created this resource."},"createdOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) of the resource creation date."},"lastModifiedBy":{"type":"string","format":"uuid","description":"The ID of the user who last modified this resource."},"lastModifiedOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) the resource last modified date."},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"$ref":"#/components/schemas/ResourceType"}}},"Classification":{"description":"Represents classification of data.","type":"object","required":["id","resourceType"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the represented object (entity)."},"name":{"type":"string","description":"The name of the resource."},"createdBy":{"type":"string","format":"uuid","description":"The ID of the user who created this resource."},"createdOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) of the resource creation date."},"lastModifiedBy":{"type":"string","format":"uuid","description":"The ID of the user who last modified this resource."},"lastModifiedOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) the resource last modified date."},"system":{"description":"Whether this is a system resource or not.","type":"boolean"},"resourceType":{"$ref":"#/components/schemas/ResourceType"}}},"ResourceType":{"type":"string","description":"The type of the resource, for example [Community, Asset, Domain, Attribute, Relation, WorkflowInstance].","enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"NamedResourceReferenceImpl":{"description":"A reference to the resource, including its name.","type":"object","required":["id","resourceType"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the referenced resource."},"name":{"type":"string","description":"The name of the referenced resource."},"resourceType":{"$ref":"#/components/schemas/ResourceType"}}}}}}
```

## The Classification object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Classification API","version":"2.0.0-unstable"},"components":{"schemas":{"Classification":{"description":"Represents classification of data.","type":"object","required":["id","resourceType"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the represented object (entity)."},"name":{"type":"string","description":"The name of the resource."},"createdBy":{"type":"string","format":"uuid","description":"The ID of the user who created this resource."},"createdOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) of the resource creation date."},"lastModifiedBy":{"type":"string","format":"uuid","description":"The ID of the user who last modified this resource."},"lastModifiedOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) the resource last modified date."},"system":{"description":"Whether this is a system resource or not.","type":"boolean"},"resourceType":{"$ref":"#/components/schemas/ResourceType"}}},"ResourceType":{"type":"string","description":"The type of the resource, for example [Community, Asset, Domain, Attribute, Relation, WorkflowInstance].","enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]}}}}
```

## The DataClassDataCategoryConnection object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Classification API","version":"2.0.0-unstable"},"components":{"schemas":{"DataClassDataCategoryConnection":{"type":"object","description":"An association between a data class and a data category.","required":["id","resourceType"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the represented object (entity)."},"dataClass":{"$ref":"#/components/schemas/Classification"},"dataCategory":{"$ref":"#/components/schemas/NamedResourceReferenceImpl"},"createdBy":{"type":"string","format":"uuid","description":"The ID of the user who created this resource."},"createdOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) of the resource creation date."},"lastModifiedBy":{"type":"string","format":"uuid","description":"The ID of the user who last modified this resource."},"lastModifiedOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) the resource last modified date."},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"$ref":"#/components/schemas/ResourceType"}}},"Classification":{"description":"Represents classification of data.","type":"object","required":["id","resourceType"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the represented object (entity)."},"name":{"type":"string","description":"The name of the resource."},"createdBy":{"type":"string","format":"uuid","description":"The ID of the user who created this resource."},"createdOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) of the resource creation date."},"lastModifiedBy":{"type":"string","format":"uuid","description":"The ID of the user who last modified this resource."},"lastModifiedOn":{"type":"integer","format":"int64","description":"The Unix timestamp in milliseconds (in UTC time standard) the resource last modified date."},"system":{"description":"Whether this is a system resource or not.","type":"boolean"},"resourceType":{"$ref":"#/components/schemas/ResourceType"}}},"ResourceType":{"type":"string","description":"The type of the resource, for example [Community, Asset, Domain, Attribute, Relation, WorkflowInstance].","enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"NamedResourceReferenceImpl":{"description":"A reference to the resource, including its name.","type":"object","required":["id","resourceType"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the referenced resource."},"name":{"type":"string","description":"The name of the referenced resource."},"resourceType":{"$ref":"#/components/schemas/ResourceType"}}}}}}
```

## The NamedResourceReferenceImpl object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Classification API","version":"2.0.0-unstable"},"components":{"schemas":{"NamedResourceReferenceImpl":{"description":"A reference to the resource, including its name.","type":"object","required":["id","resourceType"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the referenced resource."},"name":{"type":"string","description":"The name of the referenced resource."},"resourceType":{"$ref":"#/components/schemas/ResourceType"}}},"ResourceType":{"type":"string","description":"The type of the resource, for example [Community, Asset, Domain, Attribute, Relation, WorkflowInstance].","enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]}}}}
```

## The ResourceType object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Classification API","version":"2.0.0-unstable"},"components":{"schemas":{"ResourceType":{"type":"string","description":"The type of the resource, for example [Community, Asset, Domain, Attribute, Relation, WorkflowInstance].","enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]}}}}
```

## The StandardErrorResponse object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Classification API","version":"2.0.0-unstable"},"components":{"schemas":{"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"The HTTP response code."},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/catalog-classification-v2/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
